Generate Static QR

This API allows the platform to create a Static QR flow using Decentro's UPI stack.

🙌 Important Note

Please use only Staging Credentials on each API Reference page to test the APIs directly from our Documentation.

Overview

This API lets a platform collect funds using Decentro's Static QR and Push to UPI ID capability on its v3 stack.

Flow

Below is the flow for using the Offline Static QR flow through Decentro.

  1. The platform creates a Offline Static QR API by passing the consumer_urn shared by Decentro before going live.
  2. The API will be enabled using the credentials provided by the Decentro team once the merchant goes live.
  3. Amount, VPA, and company logo are optional parameters that seamlessly integrate into Decentro's generated QR template.
    1. Company Logo: Provided by the merchant during onboarding for branding. The required size configuration is 500x500 pixels.
    2. Static QR Code: Generated via the API based on the merchant's business use case.
    3. Unique VPA: Issued by Decentro upon successful merchant onboarding.
  4. Decentro triggers the Terminal Transaction Status Callback/Webhookto the client's pre-configured endpoint with the transaction status.

API Endpoints

Below are the API endpoints to be used by the platform basis the environments.

Response Parameters

Below are the parameters propagated by Decentro in the response.

ParametersDescription
decentro_txn_idA unique transaction ID from Decentro for checking the transaction status, reconcilation, etc.
api_statusStatus of the API hit. Note that this is not the status of the transaction.
messageAPI status message. Note that this is not about the status of the transaction.
response_keyResponse key documenting the status of the API hit and various errors as mentioned here
dataA list containing the specific details of the generated QR code.
vpaThe Virtual Payment Address (UPI ID) linked to the generated QR code.
template_urlThe URL or pdf file which contains the customized QR code Logo image .
intent_urlThe standard UPI intent deep-link URI used to initiate payment across supported UPI apps.

Response Keys

Below are the response keys propagated by Decentro in the response_key parameter, which cover all the scenarios a platform can encounter.

Please note that the below keys don't include transaction-related response keys since the status of the transaction is relayed only after the payer authorizes payment.

Response KeyMessage
success_static_qr_createdStatic QR created Successfully.
error_invalid_consumer_urnConsumer URN does not exist. Please retry with a valid consumer_urn.
error_empty_consumer_urnConsumer URN cannot be empty. Hint: consumer_urn (string).
error_invalid_format_consumer_urnConsumer URN is not of type string. Hint: consumer_urn (string).
error_invalid_amountPlease pass the amount value with up to two decimals places only. Hint: amount (float).
error_invalid_format_amountAmount is not of type int or float. Hint: amount (INT, float).
error_incorrect_range_amountAmount needs to be between INR and .
error_merchant_onboardingUnable to create the static QR : Please reach out to [email protected]
error_merchant_onboardingConfiguration is missing for this specific consumer and merchant.
error_invalid_vpaVPA does not exist. Please retry with a valid VPA ID.
error_invalid_format_vpaVPA address is not of type string. Hint: consumer_urn (string).
Body Params
string
required

A unique ID assigned by clients for every API request.

string
required

A unique identifier assigned to client's by Decentro during On boarding.

string
Defaults to Optional

The transaction amount (in INR) you intent to collect. Min = 1.00 and MAX = 250000.00. The limits on the amount can be changed depending on merchant use case. Please contact [email protected] for further assistance.

string
Defaults to Optional

true/false depending on the choice to generate custom QR code with client's logo uploaded during on boarding. Default value: false

string
Defaults to Optional

The Virtual Payment Address (UPI ID) linked to the generated QR code.

Headers
string
required

Decentro assigned client_id during on boarding.

string
required

Decentro assigned client_secret during on boarding.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json